org.apache.axiom.om.impl.traverse

## Class OMChildrenWithSpecificAttributeIterator

- java.lang.Object
- - org.apache.axiom.om.impl.traverse.OMFilterIterator
  - - org.apache.axiom.om.impl.traverse.OMChildrenWithSpecificAttributeIterator

- All Implemented Interfaces:
    Iterator

      public class OMChildrenWithSpecificAttributeIterator
      extends OMFilterIterator

  Class OMChildrenWithSpecificAttributeIterator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OMChildrenWithSpecificAttributeIterator(OMNode currentChild, QName attributeName, String attributeValue, boolean detach)` Constructor OMChildrenWithSpecificAttributeIterator.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `matches(OMNode node)` Determine whether the given node matches the filter criteria.
    `Object` | `next()` Method next.
    `void` | `setCaseInsensitiveValueChecks(boolean val)`

    - ### Methods inherited from class org.apache.axiom.om.impl.traverse.OMFilterIterator

      `hasNext, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### OMChildrenWithSpecificAttributeIterator

          public OMChildrenWithSpecificAttributeIterator(OMNode currentChild,
                                                         QName attributeName,
                                                         String attributeValue,
                                                         boolean detach)

      Constructor OMChildrenWithSpecificAttributeIterator.
      Parameters:
        `currentChild` -
        `attributeName` -
        `attributeValue` -
        `detach` -

  - ### Method Detail

    - #### setCaseInsensitiveValueChecks

          public void setCaseInsensitiveValueChecks(boolean val)

    - #### matches

          protected boolean matches(OMNode node)

      Description copied from class: `OMFilterIterator`
      Determine whether the given node matches the filter criteria.
      Specified by:
        `matches` in class `OMFilterIterator`
      Parameters:
        `node` - the node to test
      Returns:
        true if the node matches, i.e. if it should be returned by a call to `OMFilterIterator.next()`

    - #### next

          public Object next()

      Method next.
      Specified by:
        `next` in interface `Iterator`
      Overrides:
        `next` in class `OMFilterIterator`
      Returns:
        Returns Object.

Copyright © The Apache Software Foundation. All Rights Reserved.